<?php get_header();

// Open layout
require( OVA_THEME_URL.'/templates/ova_open_layout.php' );

?>

 <?php 
        $trainer = ( get_query_var( 'trainer' ) ) ? get_query_var( 'trainer' ) : '';
        $args = array(    
            'paged' => 1,
            'post_type' => 'class',
            'orderby'   => 'date',
            'post_status' => 'publish',
             'tax_query' => array(
               'relation' => 'AND',
              	array(
	                  'taxonomy'	=> 'trainer',
	                  'field' 		=> 'slug',
	                  'terms' 		=> $trainer
	            	)
            	)
        );
$class = new WP_Query($args);?>
<!-- get current main layout -->
<?php $main_layout = get_current_main_layout(); ?>
<!-- get currenet class layout (list or grid) -->
<?php $class_layout=get_theme_mod('class_section','list'); ?>
<?php $class_pagiantion=get_theme_mod("pagination_class_setting","10"); ?>
<?php $active_list='active';$active_grid='';$col=''; ?>
<?php if($class_layout=='grid'){ ?>
    <?php $active_list=''; ?>
    <?php $active_grid='active'; ?>
<?php } ?>
<div class="helix_classes">
	<div class="class_header">
	    <h3><?php esc_html_e('We found','helix') ?><span>&nbsp<span class="number_count"><?php echo esc_html($class->post_count); ?></span> <?php esc_html_e('classes','helix') ?></span> <?php esc_html_e('that available for you','helix') ?> 
	    </h3>
	    <ul class="tab-list">
	        <li class="<?php echo esc_attr($active_list); ?>" data-type="list">
	            <i class="fa fa-th-list"></i>
	        </li>
	        <li class="<?php echo esc_attr($active_grid); ?>" data-type="grid">
	            <i class="fa fa-th"></i>
	        </li>
	    </ul>
	</div>
	<?php $layout_full=''; ?>
	<?php if($main_layout == 'right_sidebar' || $main_layout == 'left_sidebar' ){ ?>
	     <?php $col='col-md-12'; ?>
	     <?php if($class_layout=='grid'){ ?>
	        <?php $col='col-md-4'; ?>
	    <?php } ?>
	<?php } else {?>
	    <?php $col='col-md-6'; ?>
	    <?php $layout_full='full'; ?>
	    <?php if($class_layout=='grid'){ ?>
	        <?php $col='col-md-3'; ?>
	    <?php } ?>
	<?php } ?>
	<div class="class_content" data-type="<?php echo esc_attr($class_layout); ?>" data-layout="<?php echo esc_attr($main_layout); ?>">
	    <?php $index=0; ?>			
	<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
	    <?php $index++; ?>
	        <?php if($class_layout=='list'){ ?>
	            <?php if($layout_full=='full'){ ?>
	                <div class='<?php echo esc_attr($col); ?>'>
	                    <?php get_template_part( 'content/content-classfull'); ?>
	                </div> 
	                <?php if($index==2){ ?>
	                    <div class="clearfix"></div>
	                    <?php  $index=0; ?>
	                <?php } ?> 
	            <?php } else{ ?>
	                <div class='<?php echo esc_attr($col); ?>'>
	                    <?php get_template_part( 'content/content-class'); ?>
	                </div>
	                <?php if($index==1){ ?>
	                    <div class="clearfix"></div>
	                   <?php  $index=0; ?>
	                <?php } ?>   
	            <?php } ?>

	        <?php } else { ?>
	            <div class='<?php echo esc_attr($col); ?>'>
	                <?php get_template_part( 'content/content-classgrid'); ?>
	            </div>
	            <?php if($layout_full=='full'){ ?>
	                <?php if($index==4){ ?>
	                    <div class="clearfix"></div>
	                    <?php  $index=0; ?>
	                <?php } ?>  
	            <?php }else { ?>
	                <?php if($index==3){ ?>
	                    <div class="clearfix"></div>
	                    <?php  $index=0; ?>
	                <?php } ?>
	            <?php } ?>
	        <?php } ?>
	<?php endwhile; ?>
		</div>
	    <div class="class_loadmore" data-item='<?php echo esc_attr($class->found_posts); ?>' data-page="<?php echo esc_attr($class_pagiantion); ?>">
	            <?php $active_loadmore='';$active_showall='active' ?>

	            <?php if($class->post_count < $class->found_posts){ ?>
	                <?php $active_loadmore='active' ?>
	                <?php $active_showall='' ?>
	            <?php } ?>

	            <a href="javascript:void(0)" class="loadmore <?php echo esc_attr($active_loadmore); ?>">
	                <?php esc_html_e('Load More','helix') ?>
	            </a>
	        
	             <a href="javascript:void(0)" class="isAll <?php echo esc_attr($active_showall); ?>">
	                <?php esc_html_e('All class displayed','helix') ?>
	            </a>
	    </div>
</div>
<?php else : ?>
        <div class="search_notfound"><?php esc_html_e('Sorry, no pages matched your criteria.', 'helix'); ?></div>
        </div>
        </div>
<?php endif; ?>

<?php 

// Close layout
require( OVA_THEME_URL.'/templates/ova_close_class_layout.php' );

get_footer(); ?>