<?php
// Open layout
$main_layout = get_current_main_layout();
$width_main_content = helix_width_main_content();
$background_color=get_theme_mod('helix_background_color','#dae3e6');
$html='';
$fix_top='fix_top';
$title_page=get_post_meta(get_current_id(), "helix_met_title_page",true);
$desc_page=get_post_meta(get_current_id(), "helix_met_desc_page",true);

if(($title_page !='') || ($desc_page !=''))
{
	$html .='<div class="header_top">';
	$html .='<div class="section-head text-center col-md-6 col-md-offset-3">';
		$html .=($title_page!='')?'<h1>'.$title_page.'</h1>':'';
		$html .=($desc_page!='')?'<p>'.$desc_page.'</p>':'';
	$html .='</div></div>';
}

if($main_layout == "right_sidebar" || $main_layout == "left_sidebar" ){ ?>
	
    <section class="page-section" style="background-color:<?php echo esc_attr($background_color); ?>">
        <div class="container">
            <div class="row">
            	<?php echo wp_kses($html, true); ?>
                <div class="<?php echo esc_attr($width_main_content); ?> <?php echo esc_attr($fix_top); ?>" >
<?php } else if ($main_layout == 'no_sidebar'){ ?>
	<section class="page-section <?php echo esc_attr($fix_top) ?>" style="background-color:<?php echo esc_attr($background_color); ?>">
        <div class="container">
            <div class="row">
            	<?php echo wp_kses($html, true); ?>
<?php }