<?php $sticky_class = is_sticky()?'sticky':''; ?>

 <div class="helix_events">
     <div class="event_content">
         <div class="event_header">
             <ul class="breadcrumb">
                <li>
                    <a href="../">
                        <?php esc_html_e( 'Event', 'helix' ) ?>
                    </a>
                </li>
                <span class="separator">/</span>
                <li>
                    <?php the_title(); ?>
                </li>
             </ul>
             <div class="nav_paging">
                <?php previous_post_link('%link', '<i class="icon ion-chevron-left" aria-hidden="true"></i>') ?>
                <?php next_post_link('%link', '<i class="icon ion-chevron-right" aria-hidden="true"></i>') ?>
             </div>
         </div>
        <div class="event_content_single">
            <article id="post-<?php the_ID(); ?>" <?php post_class('post-wrap '. $sticky_class); ?>  >
                <div class="post-title">
                    <?php helix_content_title(); /* Display title of post */ ?>
                </div>
                <div class="post-meta">
                    <?php helix_content_properties(); ?>
                </div>
            	<?php if(has_post_thumbnail()){ ?>
            	    <div class="post-media">
            	    	<?php helix_content_thumbnail('full'); /* Display thumbnail of post */ ?>
            	    </div>
                <?php } ?>
                <div class="post-body">
                    	<?php helix_content_body(); /* Display content of post or intro in category page */ ?>
                        <?php helix_event_session(); ?>
                        <?php helix_event_location_map(); ?>
                </div>
            </article>
        </div>
    </div>
</div>