<?php $sticky_class = is_sticky()?'sticky':''; ?>

 <div class="helix_classes">
     <div class="class_content">
         <div class="class_header">
             <?php helix_breadcrumbs() ?>
             <div class="nav_paging">
                <?php previous_post_link('%link', '<i class="icon ion-chevron-left" aria-hidden="true"></i>') ?>
                <?php next_post_link('%link', '<i class="icon ion-chevron-right" aria-hidden="true"></i>') ?>
             </div>
         </div>
        <div class="class_content_single">
            <article id="post-<?php the_ID(); ?>" <?php post_class('post-wrap '. $sticky_class); ?>  >
                <div class="post-title">
                    <?php helix_content_title(); /* Display title of post */ ?>
                </div>
                <div class="post-meta">
                    <?php helix_content_meta_trainer(); ?>
                    <?php helix_content_meta_learn_date(); ?>
                    <?php helix_content_meta_level(); ?>
                </div>
            	<?php if(has_post_thumbnail()){ ?>
            	    <div class="post-media">
            	    	<?php helix_content_thumbnail('full'); /* Display thumbnail of post */ ?>
                        <?php helix_content_meta_properties(); ?>
            	    </div>
                <?php } ?>
                <div class="post-body">
                    	<?php helix_content_body(); /* Display content of post or intro in category page */ ?>
                </div>
                <?php helix_gallery_video() ?>
                
            </article>
            <?php helix_trainer_info(); ?>
        </div>
    </div>
</div>