<?php
// Create sidebar
function helix_second_widgets_init() {
  
  $args_blog = array(
    'name' => esc_html__( 'Main Sidebar', 'helix'),
    'id' => "main-sidebar",
    'description' => esc_html__( 'Main Sidebar', 'helix' ),
    'class' => '',
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget' => "</div>",
    'before_title' => '<h4 class="widget-title">',
    'after_title' => "</h4>",
  );
  register_sidebar( $args_blog );

  $args_product = array(
    'name' => esc_html__( 'Product Sidebar', 'helix'),
    'id' => "product-sidebar",
    'description' => esc_html__( 'Main Sidebar', 'helix' ),
    'class' => '',
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget' => "</div>",
    'before_title' => '<h4 class="widget-title">',
    'after_title' => "</h4>",
  );
  register_sidebar( $args_product );

  $args_classes = array(
    'name' => esc_html__( 'Class Sidebar', 'helix'),
    'id' => "class-sidebar",
    'description' => esc_html__( 'Class Sidebar', 'helix' ),
    'class' => '',
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget' => "</div>",
    'before_title' => '<h4 class="widget-title">',
    'after_title' => "</h4>",
  );
  register_sidebar( $args_classes );
  $args_event = array(
    'name' => esc_html__( 'Event Sidebar', 'helix'),
    'id' => "event-sidebar",
    'description' => esc_html__( 'Class Sidebar', 'helix' ),
    'class' => '',
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget' => "</div>",
    'before_title' => '<h4 class="widget-title">',
    'after_title' => "</h4>",
  );
  register_sidebar( $args_event );
 $args_page_shop_header = array(
    'name' => esc_html__( 'Page Shop Header', 'helix'),
    'id' => "page_shop_header",
    'description' => esc_html__( 'Shop Header', 'helix' ),
    'class' => '',
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget' => "</div>",
    'before_title' => '<h4 class="widget-title">',
    'after_title' => "</h4>",
  );
  register_sidebar( $args_page_shop_header );
  
  $footer_shop = array(
    'name' => esc_html__( 'Footer shop', 'helix'),
    'id' => "footer_shop",
    'class' => '',
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget' => "</div>",
    'before_title' => '<h4 class="widget-title">',
    'after_title' => "</h4>",
  );
  register_sidebar( $footer_shop );

  $footer1 = array(
    'name' => esc_html__( 'Footer 1', 'helix'),
    'id' => "footer1",
    'class' => '',
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget' => "</div>",
    'before_title' => '<h4 class="widget-title">',
    'after_title' => "</h4>",
  );
  register_sidebar( $footer1 );

  $footer2 = array(
    'name' => esc_html__( 'Footer 2', 'helix'),
    'id' => "footer2",
    'class' => '',
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget' => "</div>",
    'before_title' => '<h4 class="widget-title">',
    'after_title' => "</h4>",
  );
  register_sidebar( $footer2 );

  $footer3 = array(
    'name' => esc_html__( 'Footer 3', 'helix'),
    'id' => "footer3",
    'class' => '',
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget' => "</div>",
    'before_title' => '<h4 class="widget-title">',
    'after_title' => "</h4>",
  );
  register_sidebar( $footer3 );

  $footer4 = array(
    'name' => esc_html__( 'Footer 4', 'helix'),
    'id' => "footer4",
    'class' => '',
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget' => "</div>",
    'before_title' => '<h4 class="widget-title">',
    'after_title' => "</h4>",
  );
  register_sidebar( $footer4 );

  $footer_copyright = array(
    'name' => esc_html__( 'Footer Copyright', 'helix'),
    'id' => "footer_copyright",
    'class' => '',
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget' => "</div>",
    'before_title' => '<h4 class="widget-title">',
    'after_title' => "</h4>",
  );
  register_sidebar( $footer_copyright );

  $footer_menu = array(
    'name' => esc_html__( 'Footer menu', 'helix'),
    'id' => "footer_menu",
    'class' => '',
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget' => "</div>",
    'before_title' => '<h4 class="widget-title">',
    'after_title' => "</h4>",
  );
  register_sidebar( $footer_menu );



  $args_woo = array(
    'name' => esc_html__( 'Woocommerce Sidebar', 'helix'),
    'id' => "woo-sidebar",
    'description' => esc_html__( 'Woocommerce Sidebar', 'helix' ),
    'class' => '',
    'before_widget' => '<div id="%1$s" class="widget woo_widget %2$s">',
    'after_widget' => "</div>",
    'before_title' => '<h4 class="widget-title">',
    'after_title' => "</h4>",
  );
  register_sidebar( $args_woo );

  $header_topbar_let = array(
    'name' => esc_html__( 'Header topbar let', 'helix'),
    'id' => "header_topbar_let",
    'class' => '',
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget' => "</div>",
    'before_title' => '<h4 class="widget-title">',
    'after_title' => "</h4>",
  );
  register_sidebar( $header_topbar_let );

  $header_social = array(
    'name' => esc_html__( 'Header social', 'helix'),
    'id' => "header_social",
    'class' => '',
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget' => "</div>",
    'before_title' => '<h4 class="widget-title">',
    'after_title' => "</h4>",
  );
  register_sidebar( $header_social );

  $header_search = array(
    'name' => esc_html__( 'Header search', 'helix'),
    'id' => "header_search",
    'class' => '',
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget' => "</div>",
    'before_title' => '<h4 class="widget-title">',
    'after_title' => "</h4>",
  );
  register_sidebar( $header_search );

  $header_right_menu = array(
    'name' => esc_html__( 'Header right menu', 'helix'),
    'id' => "header_right_menu",
    'class' => '',
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget' => "</div>",
    'before_title' => '<h4 class="widget-title">',
    'after_title' => "</h4>",
  );
  register_sidebar( $header_right_menu );

}
add_action( 'widgets_init', 'helix_second_widgets_init' );



// Creating the widget 
class helix_search_class_widget extends WP_Widget {

  function __construct() {
    parent::__construct(
    // Base ID of your widget
    'helix_search_class_widget', 


    // Widget name will appear in UI
    __('Search class/event', 'helix'), 

    // Widget description
    array( 'description' => __( 'Search extra(All,Event,Class)', 'helix' ), ) 
    );
  }

  // Creating widget front-end
  // This is where the action happens
  public function widget( $args, $instance ) {

    $page_display = apply_filters( 'widget_page_display', $instance['page_display'] )?apply_filters( 'widget_page_display', $instance['page_display'] ):esc_url(home_url('/'));

    $page_title = apply_filters( 'widget_page_title', $instance['page_title'] )?apply_filters( 'widget_page_title', $instance['page_title'] ):'';

    $option_search = apply_filters( 'widget_option_search', $instance['option_search'] )?apply_filters( 'widget_option_search', $instance['option_search'] ):'All';
    if($option_search=='All')
    {
      $page_display= esc_url(home_url('/'));
    }else if($option_search=='Events'){
        $page_display=add_query_arg(array( 
                        'type' => 'events'
                    ),$page_display);
    }else{
      $page_display=add_query_arg(array( 
                        'type' => 'classes'
                    ),$page_display);
    }
    $id = rand();
    $html = '<div class="widget">';
    $class_name='';
    if(isset($_POST['class_name'])){
        $class_name = $_POST['class_name'];
    }
    if($page_title!="")
    {
      $html .= '<h4 class="widget-title">'.$page_title.'</h4>';
    }
    $html .= '<form method="post" action="'.$page_display.'" name="search-form" id="search-form"> ';
      $html .= '<div id="search-form">
                <div class="form-group">
                    <input type="text" name="search" value="'.$class_name.'" placeholder="'.esc_html__( 'Enter keyword', 'helix' ).'" class="form-control">
                </div>
                <div class="form-group">
                <input type="submit" class="search-submit" id="submit" value="search" style="color:transparent;">
                </div>
              </div>
          </div>';
     $html .= '</form>';
    // This is where you run the code and display the output
    echo ''.$html;
  }


  // Widget Backend 
  public function form( $instance ) {

    if ( isset( $instance[ 'page_display' ] ) ) {
      $page_display = $instance[ 'page_display' ];
    }else{
      $page_display = '';
    }

    if ( isset( $instance[ 'page_title' ] ) ) {
      $page_title = $instance[ 'page_title' ];
    }else{
      $page_title = ''.esc_html__('Search','helix').'';
    }

    if ( isset( $instance[ 'option_search' ] ) ) {
      $option_search = $instance[ 'option_search' ];
    }else{
      $option_search = 'All';
    }
    // Widget admin form
    ?>
    <p>
      <label for="<?php echo esc_attr( $this->get_field_id( 'page_title' ) ); ?>"><?php esc_html_e( 'Title', 'helix' ); ?></label> 
      <input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'page_title' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'page_title' ) ); ?>" type="text" value="<?php echo esc_attr( $page_title ); ?>" />
    </p>
    <p>
      <label for="<?php echo esc_attr( $this->get_field_id( 'page_display' ) ); ?>"><?php esc_html_e( 'Insert url of page that use list template', 'helix' ); ?></label> 
      <input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'page_display' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'page_display' ) ); ?>" type="text" value="<?php echo esc_attr( $page_display ); ?>" />
    </p>
    <p>
      <label for="<?php echo esc_attr( $this->get_field_id( 'option_search' ) ); ?>"><?php esc_html_e( 'Chosen: Option search', 'helix' ); ?>
      </label> 
      <select id="<?php echo esc_attr($this->get_field_id('option_search')); ?>" name="<?php echo esc_attr($this->get_field_name('option_search')); ?>" class="widefat" style="width:100%;">
        <option value='All'<?php echo ($option_search=='All')?'selected':''; ?>>
            All
        </option>
        <option value='Events'<?php echo ($option_search=='Events')?'selected':''; ?>>
            Event
        </option>
        <option value='Class'<?php echo ($option_search=='Class')?'selected':''; ?>>
            Class
        </option>
      </select>
    </p>
    <?php 
  }
    
  // Updating widget replacing old instances with new
  public function update( $new_instance, $old_instance ) {
    $instance = array();

    $instance['page_display'] = ( ! empty( $new_instance['page_display'] ) ) ? strip_tags( $new_instance['page_display'] ) : '';
    $instance['page_title'] = ( ! empty( $new_instance['page_title'] ) ) ? strip_tags( $new_instance['page_title'] ) : '';
    $instance['option_search'] = ( ! empty( $new_instance['option_search'] ) ) ? strip_tags( $new_instance['option_search'] ) : 'All';
    return $instance;
  }

}


// Creating the widget 
class helix_filters_class_widget extends WP_Widget {

function __construct() {
  parent::__construct(
  // Base ID of your widget
  'helix_filters_class_widget', 


  // Widget name will appear in UI
  esc_html__('Filter class', 'helix'), 

  // Widget description
  array( 'description' => esc_html__( 'Filter class (level,trainer)', 'helix' ), ) 
  );
}

// Creating widget front-end
// This is where the action happens
public function widget( $args, $instance ) {


  $id = rand();
  $html = '';
  $page_title = apply_filters( 'widget_page_title', $instance['page_title'] )?apply_filters( 'widget_page_title', $instance['page_title'] ):'';

  $args_level = array(
    'type'                     => 'class',
    'orderby'                  => 'name',
    'order'                    => 'ASC',
    'hide_empty'               => 0,
    'hierarchical'             => 1,
    'exclude'                  => '',
    'include'                  => '',
    'number'                   => '',
    'taxonomy'                 => 'level',
    'pad_counts'               => false 
  );
  $level = get_terms($args_level);

  $args_trainer = array(
    'type'                     => 'class',
    'child_of'                 => 0,
    'parent'                   => '',
    'orderby'                  => 'name',
    'order'                    => 'ASC',
    'hide_empty'               => 0,
    'hierarchical'             => 1,
    'exclude'                  => '',
    'include'                  => '',
    'number'                   => '',
    'taxonomy'                 => 'trainer',
    'pad_counts'               => false 
  ); 
  $trainer = get_terms($args_trainer);

  // echo "<pre>";
  // var_dump($trainer);
  $html = '<div class="widget">';
  if($page_title!="")
    {
      $html .= '<h4 class="widget-title">'.$page_title.'</h4>';
    }

  if($level != null)
  { 
    $html .='<div class="filter_level">';
     $html .= '<div class="widget-title">'.esc_html__( 'By level', 'helix' ).'</div>';
     $html .= '<ul data-type="level">';
        foreach ($level as $key => $value) {

          $html .= '<li>';
                    if(!is_single() && !is_page_template("templates/search_template.php") && !isset($_GET['trainer'])){ 
                      $html .='<input type="checkbox" name="'.$value->name.'" data-id="'.$value->term_id.'" data-type="level"/>';
                      $html .=' <span>'.$value->name.'</span>';
                    }else{
                      $html .=' <span><a href="'.get_term_link($value,'class').'">'.$value->name.'</a></span>';
                    }
          $html .= '<span class="item_count"> '.$value->count.'</span>
                    </li>';
        }
      $html .= '</ul>'; 
    $html.='</div>'; 
  }
  if($trainer != null)
  { 
    $html .='<div class="filter_trainer">';
     $html .= '<div class="widget-title">'.esc_html__( 'By trainer', 'helix' ).'</div>';
     $html .= '<ul data-type="trainer">';
        foreach ($trainer as $key => $value) {
          
          $html .= '<li>';
                if(!is_single() && !is_page_template("templates/search_template.php") && !isset($_GET['trainer'])){ 
                      $html .=' <input type="checkbox" name="'.$value->name.'" data-id="'.$value->term_id.'" data-type="trainer"/>';
                      $html .=' <span>'.$value->name.'</span>';
                    }else{
                      $link =stripos(get_post_type_archive_link('class'),'?');
                      $url=get_post_type_archive_link('class').'?trainer='.$value->slug;
                      if($link)
                      {
                         $url=get_post_type_archive_link('class').'&trainer='.$value->slug;
                      }
                      $html .=' <span><a href="'.$url.'">'.$value->name.'</a></span>';
                    }
          $html .= ' <span class="item_count"> '.$value->count.'</span>
                    </li>';
        }
      $html .= '</ul>';  
    $html.='</div>';  
  }
   $html.='</div>';
  // This is where you run the code and display the output
  echo ''.$html;
}

// Widget Backend 
public function form( $instance ) {

  if ( isset( $instance[ 'page_title' ] ) ) {
      $page_title = $instance[ 'page_title' ];
    }else{
      $page_title = ''.esc_html__('Filters','helix').'';
    }
  // Widget admin form
  ?>
   <p>
      <label for="<?php echo esc_attr( $this->get_field_id( 'page_title' ) ); ?>"><?php esc_html_e( 'Title', 'helix' ); ?></label> 
      <input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'page_title' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'page_title' ) ); ?>" type="text" value="<?php echo esc_attr( $page_title ); ?>" />
    </p>
  <?php 
}
  
// Updating widget replacing old instances with new
public function update( $new_instance, $old_instance ) {
  $instance = array();

  $instance['page_title'] = ( ! empty( $new_instance['page_title'] ) ) ? strip_tags( $new_instance['page_title'] ) : '';
  return $instance;
}

}

// Filter Event
// Creating the widget 
class helix_filters_event_widget extends WP_Widget {

function __construct() {
  parent::__construct(
  // Base ID of your widget
  'helix_filters_event_widget', 


  // Widget name will appear in UI
  esc_html__('Filter Event', 'helix'), 

  // Widget description
  array( 'description' => esc_html__( 'Filter event (price,location)', 'helix' ), ) 
  );
}

// Creating widget front-end
// This is where the action happens
public function widget( $args, $instance ) {


  $id = rand();
  $html = '';
  $page_title = apply_filters( 'widget_page_title', $instance['page_title'] )?apply_filters( 'widget_page_title', $instance['page_title'] ):'';

  $args_price = array(
    'type'                     => 'events',
    'orderby'                  => 'name',
    'order'                    => 'ASC',
    'hide_empty'               => 0,
    'hierarchical'             => 1,
    'exclude'                  => '',
    'include'                  => '',
    'number'                   => '',
    'taxonomy'                 => 'price',
    'pad_counts'               => false 
  );
  $price = get_terms($args_price);

  $args_location = array(
    'type'                     => 'events',
    'child_of'                 => 0,
    'parent'                   => '',
    'orderby'                  => 'name',
    'order'                    => 'ASC',
    'hide_empty'               => 0,
    'hierarchical'             => 1,
    'exclude'                  => '',
    'include'                  => '',
    'number'                   => '',
    'taxonomy'                 => 'location',
    'pad_counts'               => false 
  ); 
  $location = get_terms($args_location);

  // echo "<pre>";
  // var_dump($trainer);
  $html = '<div class="widget">';
  if($page_title!="")
    {
      $html .= '<h4 class="widget-title">'.$page_title.'</h4>';
    }

  if($price != null)
  { 
    $html .='<div class="filter_level">';
     $html .= '<div class="widget-title">'.esc_html__( 'By price', 'helix' ).'</div>';
     $html .= '<ul data-type="price">';
        foreach ($price as $key => $value) {
          $html .= '<li>';
                     $html .=' <span><a href="'.get_term_link($value,'events').'">'.$value->name.'</a></span>';
          $html .= '<span class="item_count"> '.$value->count.'</span>
                    </li>';
        }
      $html .= '</ul>'; 
    $html.='</div>'; 
  }
  if($location != null)
  { 
    $html .='<div class="filter_trainer">';
     $html .= '<div class="widget-title">'.esc_html__( 'By location', 'helix' ).'</div>';
     $html .= '<ul data-type="trainer">';
        foreach ($location as $key => $value) {
          $html .= '<li>';
          $html .=' <span><a href="'.get_term_link($value,'events').'">'.$value->name.'</a></span>
                      <span class="item_count"> '.$value->count.'</span>
                    </li>';
        }
      $html .= '</ul>';  
    $html.='</div>';  
  }
   $html.='</div>';
  // This is where you run the code and display the output
  echo ''.$html;
}

// Widget Backend 
public function form( $instance ) {

  if ( isset( $instance[ 'page_title' ] ) ) {
      $page_title = $instance[ 'page_title' ];
    }else{
      $page_title = ''.esc_html__('Filters','helix').'';
    }
  // Widget admin form
  ?>
   <p>
      <label for="<?php echo esc_attr( $this->get_field_id( 'page_title' ) ); ?>"><?php esc_html_e( 'Title', 'helix' ); ?></label> 
      <input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'page_title' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'page_title' ) ); ?>" type="text" value="<?php echo esc_attr( $page_title ); ?>" />
    </p>
  <?php 
}
  
// Updating widget replacing old instances with new
public function update( $new_instance, $old_instance ) {
  $instance = array();

  $instance['page_title'] = ( ! empty( $new_instance['page_title'] ) ) ? strip_tags( $new_instance['page_title'] ) : '';
  return $instance;
}

}
// Register and load the widget
function helix_wpb_load_widget() {
  register_widget('helix_search_class_widget');
  register_widget('helix_filters_class_widget');
  register_widget('helix_filters_event_widget');
}
add_action( 'widgets_init', 'helix_wpb_load_widget' );