(function($) {
    "use strict";
    var helix = {};
    var pageNumber = 1;
    helix.init = function() {
        this.regisEvent();
        $(window).resize(function() {
            helix.resize();
        });
    };

    helix.regisEvent = function() {
        // fix icon search
        // $.each($('.navbar .search-submit'), function(i, item) {
        //     $(item).val('');
        // });
        // // fix icon search wishget
        // $.each($('.widget_search .search-submit'), function(i, item) {
        //     $(item).val('');
        // });
        /* ========================================================== */
        /*   Popup-Gallery                                            */
        /* ========================================================== */
        $('.popup-gallery').find('a.popup2').magnificPopup({
            type: 'image',
            gallery: {
                enabled: true
            }
        });
        $('.popup-gallery').find('a.popup3').magnificPopup({
            type: 'image',
            gallery: {
                enabled: true
            }
        });
        $('.popup-gallery').find('a.popup_footer').magnificPopup({
            type: 'image',
            gallery: {
                enabled: true
            }
        });

         /* Toggle nav menu*/
        $(document).on('click', '.toggle-menu', function() {
            $(this).closest('.nav-menu').find('.navbar-collapse').toggle();
            return false;
        });
       
        helix.saleup_fix();
        helix.classEvent();
        helix.widgetFilter();
        helix.yogaClubAbout();
        helix.filterClass();
        helix.filterBlog();
        helix.testminal();
        helix.membership();
        helix.buttonShortCode();
        helix.mapContact();
        helix.filterCalendar();
        helix.eventMapContent();
        //helix.responsiveCalendar();
    };
    helix.resize = function() {
        helix.saleup_fix();
    };
    helix.saleup_fix = function() {
        var gblWidth = $(window).width();
        if (gblWidth < 990) {
            if ($('.helix_woo_product .woo_product_item').length > 0) {
                var hg = $('.helix_woo_product .woo_product_item').height();
                $('.footer_shop > .woo_product_item').css({
                    'min-height': parseInt(hg + 70) + 'px'
                });
            }
        }
    };
    //short code yoga club about
    helix.yogaClubAbout = function() {
        if ($('.section-yoga-club').length > 0) {
            $.each($('.section-yoga-club'), function(i, item) {
                $(item).hover(function() {
                    $('.section-yoga-club').removeClass('club-hover');
                    $(this).addClass('club-hover');
                })
            });
        }
    };
    // short code filter class by level and catogory
    helix.filterClass = function() {
        var self = this;
        if ($('.section-class-filter').length > 0) {
            $.each($('.section-class-filter'), function(i, item) {
                var $this = $(item).find('ul li.active');
                var slug = $this.attr('data-slug');
                var taxonomy = $this.attr('data-taxonomy');
                var columns = $(item).attr('data-item');
                var total = $(item).attr('data-total');
                var learn_more = $(this).attr('data-readmore');
                var obj = {
                    columns: columns,
                    taxonomy: taxonomy,
                    slug: slug,
                    total: total,
                    learn_more: learn_more
                }
                self.filterClass_Get(obj, function(reponse) {
                    $(item).find('.class_content_filter').html(reponse);
                    helix.filterClass_Carousel(item)
                }, false);
                $(item).find('ul li').off('click').on('click', function() {
                    $(item).find('ul li').removeClass('active');
                    $(this).addClass('active');
                    var slug = $(this).attr('data-slug');
                    var taxonomy = $(this).attr('data-taxonomy');
                    var obj = {
                        columns: columns,
                        taxonomy: taxonomy,
                        slug: slug,
                        total: total,
                        learn_more: learn_more
                    }
                    self.filterClass_Get(obj, function(reponse) {
                        if (reponse.length > 0) {
                            $(item).find('.class_content_filter').html(reponse);
                        } else {
                            $(item).find('.class_content_filter').html('Not found items');
                        }
                        stopLoading();
                        helix.filterClass_Carousel(item);
                    }, true);
                })
            });
        }
    };
    helix.filterClass_Get = function(obj, calback, isloading) {
        if (typeof(calback) == 'undefined') calback = function() {};
        $.post(ajax_object.ajaxurl, {
            action: 'helix_filter_class_by_taxonomy',
            data: obj,
            beforeSend: function() {
                if (isloading) {
                    startLoading();
                }
            }
        }, function(reponse) {
            if (!reponse.error) {
                calback(reponse);
                $('.class_header .navbar-collapse').hide();
            } else {
                alert('Error');
                return false;
            }
        });
    };
    helix.filterClass_Carousel = function(elm) {
        if ($(elm).find('.item_inSite').length > 1) {
            var count = 4;
            $('.helix_class_filter').owlCarousel({
                autoplay: false,
                loop: false,
                margin: 30,
                dots: false,
                nav: true,
                navText: ["<i class='icon ion-chevron-left'></i>", "<i class='icon ion-chevron-right'></i>"],
                responsiveRefreshRate: 100,
                responsive: {
                    0: {
                        items: 1
                    },
                    479: {
                        items: 1
                    },
                    760: {
                        items: 1
                    },
                    768: {
                        items: 1
                    },
                    991: {
                        items: 1
                    },
                    1024: {
                        items: 1
                    }
                }
            });
        }
    };
    // class page 
    helix.classEvent = function() {
        if ($('.helix_classes').length > 0) {
            $('.helix_classes').find('.tab-list li').off('click').on('click', function() {
                var class_type = $(this).attr('data-type');
                var main_layout = $('.helix_classes').find('.class_content').attr('data-layout');
                $('.helix_classes').find('.tab-list li').removeClass('active');
                $(this).addClass('active');
                pageNumber = 1;
                var obj = helix.objFilter();
                obj.class_type = class_type;
                obj.main_layout = main_layout;
                helix.loadContentClass(obj, function(reponse) {
                    $('.helix_classes').find('.class_content').animate({
                        opacity: 0.5 //use more parameter for effect
                    }, 1000, function() {
                        $('.helix_classes').find('.class_content').html(reponse).hide().fadeIn(500);
                        $('.helix_classes').find('.class_content').css('opacity', '1');
                        $('.helix_classes').find('.class_content').attr('data-type', class_type);
                        var curItem = parseInt($('#class_count').val());
                        $('.number_count').text(curItem);
                        var allItem = $('#class_count').attr('data-item');
                        if (curItem < allItem) {
                            $('.loadmore').addClass('active');
                            $('.isAll').removeClass('active');
                        } else {
                            $('.loadmore').removeClass('active');
                            $('.isAll').addClass('active');
                        }
                        // Animation complete.
                        stopLoading();
                    });
                });
            });
            $('.loadmore').off('click').on('click', function() {
                pageNumber++;
                var obj = helix.objFilter();
                obj.pageNumber = pageNumber;
                $('#class_count').remove();
                helix.loadContentClass(obj, function(reponse) {
                    $('.helix_classes').find('.class_content').animate({
                        opacity: 0.5 //use more parameter for effect
                    }, 1000, function() {
                        $('.helix_classes').find('.class_content').append(reponse).fadeIn(500);
                        $('.helix_classes').find('.class_content').css('opacity', '1');
                        $('.helix_classes').find('.class_content').attr('data-type', obj.class_type);
                        var oldItem = $('.number_count').text();
                        console.log($('#class_count').val());
                        var curItem = parseInt(oldItem) + parseInt($('#class_count').val());
                        $('.number_count').text(curItem);
                        var allItem = $('#class_count').attr('data-item');
                        if (curItem < allItem) {
                            $('.loadmore').addClass('active');
                            $('.isAll').removeClass('active');
                        } else {
                            $('.loadmore').removeClass('active');
                            $('.isAll').addClass('active');
                        }
                        //
                        // Animation complete.
                        stopLoading();
                    });
                });
            })
            $('.post-gallery .gallery-tab li').off('click').on('click', function() {
                $('.post-gallery .gallery-tab li').removeClass('active');
                $(this).addClass('active');
                var type = $(this).attr('data-type');
                $('.post-gallery-content').find('.gallery-content').removeClass('active');
                $('.post-gallery-content').find('.gallery-content[data-type=' + type + ']').addClass('active');
            });
        }
    };
    helix.loadContentClass = function(obj, calback) {
        if (typeof(calback) == 'undefined') calback = function() {};
        $.post(ajax_object.ajaxurl, {
            action: 'helix_get_class_by_option',
            data: obj,
            beforeSend: function() {
                startLoading();
            }
        }, function(reponse) {
            if (!reponse.error) {
                calback(reponse);
            } else {
                alert('Error');
                return false;
            }
        });
    };
    // Widget Event
    helix.widgetFilter = function() {
        if ($('.filter_level').length > 0 || $('.filter_trainer').length > 0) {
            $('ul>li input[type="checkbox"]').prop('checked', false);
            $('ul>li input[type="checkbox"]').off('click').on('click', function() {
                var type = $(this).attr('data-type');
                if ($(this).prop('checked') == true) {
                    $('ul[data-type=' + type + ']>li input[type="checkbox"]').prop('checked', false);
                    $(this).prop('checked', true);
                }
                pageNumber = 1;
                var obj = helix.objFilter();
                helix.loadContentClass(obj, function(reponse) {
                    $('.helix_classes').find('.class_content').animate({
                        opacity: 0.5 //use more parameter for effect
                    }, 1000, function() {
                        if ($('.helix_classes').find('.class_content').length > 0) {
                            $('.helix_classes').find('.class_content').html(reponse).hide().fadeIn(500);
                            $('.helix_classes').find('.class_content').css('opacity', '1');
                            $('.helix_classes').find('.class_content').attr('data-type', obj.class_type);
                            var curItem = parseInt($('#class_count').val());
                            $('.number_count').text(curItem);
                            var allItem = $('#class_count').attr('data-item');
                            if (curItem < allItem) {
                                $('.loadmore').addClass('active');
                                $('.isAll').removeClass('active');
                            } else {
                                $('.loadmore').removeClass('active');
                                $('.isAll').addClass('active');
                            }
                        } else {
                            alert("Allow filter template class");
                        }
                        // Animation complete.
                        stopLoading();
                    });
                });
            });
        }
        $('#search-form input[type="text"]').keypress(function(event) {
            if (event.keyCode == 13) {
                pageNumber = 1;
                var obj = helix.objFilter();
                obj.key_search = $(this).val();
                helix.loadContentClass(obj, function(reponse) {
                    $('.helix_classes').find('.class_content').animate({
                        opacity: 0.5 //use more parameter for effect
                    }, 1000, function() {
                        if ($('.helix_classes').find('.class_content').length > 0) {
                            $('.helix_classes').find('.class_content').html(reponse).hide().fadeIn(500);
                            $('.helix_classes').find('.class_content').css('opacity', '1');
                            $('.helix_classes').find('.class_content').attr('data-type', obj.class_type);
                            var curItem = parseInt($('#class_count').val());
                            $('.number_count').text(curItem);
                            var allItem = $('#class_count').attr('data-item');
                            if (curItem < allItem) {
                                $('.loadmore').addClass('active');
                                $('.isAll').removeClass('active');
                            } else {
                                $('.loadmore').removeClass('active');
                                $('.isAll').addClass('active');
                            }
                        } else {
                            alert("Allow filter template class");
                        }
                        // Animation complete.
                        stopLoading();
                    });
                });
            }
        });
        // $('.search-submit').off('click').on('click', function() {
        //     if ($(this).val() == '') {
        //         return false;
        //     }
        //     pageNumber = 1;
        //     var obj = helix.objFilter();
        //     obj.key_search = $(this).val();
        //     helix.loadContentClass(obj, function(reponse) {
        //         $('.helix_classes').find('.class_content').animate({
        //             opacity: 0.5 //use more parameter for effect
        //         }, 1000, function() {
        //             if ($('.helix_classes').find('.class_content').length > 0) {
        //                 $('.helix_classes').find('.class_content').html(reponse).hide().fadeIn(500);
        //                 $('.helix_classes').find('.class_content').css('opacity', '1');
        //                 $('.helix_classes').find('.class_content').attr('data-type', obj.class_type);
        //                 var curItem = parseInt($('#class_count').val());
        //                 $('.number_count').text(curItem);
        //                 var allItem = $('#class_count').attr('data-item');
        //                 if (curItem < allItem) {
        //                     $('.loadmore').addClass('active');
        //                     $('.isAll').removeClass('active');
        //                 } else {
        //                     $('.loadmore').removeClass('active');
        //                     $('.isAll').addClass('active');
        //                 }
        //             } else {
        //                 alert("Allow filter template class");
        //             }
        //             // Animation complete.
        //             stopLoading();
        //         });
        //     });
        // });
    };
    helix.objFilter = function() {
            var main_layout = $('.helix_classes').find('.class_content').attr('data-layout');
            var class_type = $('.helix_classes').find('.tab-list li.active').attr('data-type');
            var level_id = $("ul[data-type='level']>li input[type='checkbox']:checked").attr('data-id');
            var trainer_id = $("ul[data-type='trainer']>li input[type='checkbox']:checked").attr('data-id');
            var key_word = $('#search-form input[type="text"]').val();
            var page = $('.helix_classes').find('.class_loadmore').attr('data-page');
            var obj = {
                class_type: class_type,
                main_layout: main_layout,
                level_id: level_id,
                trainer_id: trainer_id,
                key_search: key_word,
                pageNumber: pageNumber,
                taxonomy_level: qs('level'),
                taxonomy_trainer: qs('trainer'),
                page_total: page
            };
            return obj;
        }
        // short code filter Blog by catogory
    helix.filterBlog = function() {
        var self = this;
        if ($('.section-blog-filter').length > 0) {
            $.each($('.section-blog-filter'), function(i, item) {
                var $this = $(item).find('ul li.active');
                var slug = $this.attr('data-slug');
                var columns = $(item).attr('data-item');
                var total = $(item).attr('data-total');
                var learn_more = $(this).attr('data-readmore');
                var obj = {
                    columns: columns,
                    slug: slug,
                    total: total,
                    learn_more: learn_more
                }
                self.filterBlog_Get(obj, function(reponse) {
                    $(item).find('.blog_content_filter').html(reponse);
                    helix.filterBlog_Carousel(item)
                }, false);
                $(item).find('ul li').off('click').on('click', function() {
                    $(item).find('ul li').removeClass('active');
                    $(this).addClass('active');
                    var slug = $(this).attr('data-slug');
                    var obj = {
                        columns: columns,
                        slug: slug,
                        total: total,
                        learn_more: learn_more
                    }
                    self.filterBlog_Get(obj, function(reponse) {
                        $('.number_count').text(0);
                        if (reponse.length > 0) {
                            $(item).find('.blog_content_filter').html(reponse);
                        } else {
                            $(item).find('.blog_content_filter').html('Not found items');
                        }
                        stopLoading();
                        helix.filterBlog_Carousel(item);
                    }, true);
                })
            });
        }
    };
    helix.filterBlog_Get = function(obj, calback, isloading) {
        if (typeof(calback) == 'undefined') calback = function() {};
        $.post(ajax_object.ajaxurl, {
            action: 'helix_filter_blog',
            data: obj,
            beforeSend: function() {
                if (isloading) {
                    startLoading();
                }
            }
        }, function(reponse) {
            if (!reponse.error) {
                calback(reponse);
                $('.section-blog-filter .navbar-collapse').hide();
            } else {
                alert('Error');
                return false;
            }
        });
    };
    helix.filterBlog_Carousel = function(elm) {
        if ($(elm).find('.item_inSite').length > 1) {
            var count = 4;
            $('.helix_blog_group').owlCarousel({
                autoplay: false,
                loop: false,
                margin: 30,
                dots: false,
                nav: true,
                navText: ["<i class='icon ion-chevron-left'></i>", "<i class='icon ion-chevron-right'></i>"],
                responsiveRefreshRate: 100,
                responsive: {
                    0: {
                        items: 1
                    },
                    479: {
                        items: 1
                    },
                    760: {
                        items: 1
                    },
                    768: {
                        items: 1
                    },
                    991: {
                        items: 1
                    },
                    1024: {
                        items: 1
                    }
                }
            });
        }
    };
    // short code testminal
    helix.testminal = function() {
        if ($('.helix_customer').length > 0) {
            $('.helix_customer').each(function() {
                var dots = $(this).attr('data-isdot');
                var autoplay = $(this).attr('data-play');
                var loop = $(this).attr('data-loop');
                $(this).owlCarousel({
                    autoplay: autoplay === 'true',
                    loop: loop === 'true',
                    margin: 30,
                    dots: dots === 'true',
                    nav: false,
                    autoplayTimeout: 1200,
                    navText: ["<i class='fa fa-caret-left'></i>", "<i class='fa fa-caret-right'></i>"],
                    responsive: {
                        0: {
                            items: 1
                        },
                        479: {
                            items: 1
                        },
                        760: {
                            items: 1
                        },
                        768: {
                            items: 1
                        },
                        990: {
                            items: 2
                        },
                        1024: {
                            items: 2
                        }
                    }
                });
            });
        }
    };
    // short code membership
    helix.membership = function() {
        if ($('.helix_membership').length > 0) {
            $('.helix_membership').each(function(i, item) {
                var active = $(item).attr('data-active');
                $(item).find('.helix_member[data-type="' + active + '"]').show();
                var isActive = true;
                if (active == 'annual') isActive = false;
                $(item).find('input[type="checkbox"]').bootstrapSwitch('state', isActive);
                $(item).find('input[type="checkbox"]').bootstrapSwitch().on('switchChange.bootstrapSwitch', function(e, data) {
                    if (data == true) {
                        $(item).attr('data-active', 'monthly');
                        $(item).find('.helix_member[data-type="monthly"]').show();
                        $(item).find('.helix_member[data-type="annual"]').hide();
                    } else {
                        $(item).attr('data-active', 'annual');
                        $(item).find('.helix_member[data-type="monthly"]').hide();
                        $(item).find('.helix_member[data-type="annual"]').show();
                    }
                });
            });
        }
    };
    helix.buttonShortCode = function() {
        $('.sc_button a, button.submit-button').each(function() {
            var bg = $(this).data('bg');
            var bg_hover = $(this).data('bg_hover');
            var text_color = $(this).data('text_color');
            var text_color_hover = $(this).data('text_color_hover');
            var border_color = $(this).data('border_color');
            var border_color_hover = $(this).data('border_color_hover');
            $(this).mouseover(function() {
                $(this).css({
                    "background-color": bg_hover,
                    "-webkit-transition": "all .3s ease-in-out 0s",
                    "-moz-transition": "all .3s ease-in-out 0s",
                    "-ms-transition": "all .3s ease-in-out 0s",
                    "-o-transition": "all .3s ease-in-out 0s",
                    "transition": "all .3s ease-in-out 0s"
                });
                $(this).css({
                    'border-color': border_color_hover,
                    "-webkit-transition": "all .3s ease-in-out 0s",
                    "-moz-transition": "all .3s ease-in-out 0s",
                    "-ms-transition": "all .3s ease-in-out 0s",
                    "-o-transition": "all .3s ease-in-out 0s",
                    "transition": "all .3s ease-in-out 0s"
                });
                $(this).css({
                    'color': text_color_hover,
                    "-webkit-transition": "all .3s ease-in-out 0s",
                    "-moz-transition": "all .3s ease-in-out 0s",
                    "-ms-transition": "all .3s ease-in-out 0s",
                    "-o-transition": "all .3s ease-in-out 0s",
                    "transition": "all .3s ease-in-out 0s"
                });
            });
            $(this).mouseout(function() {
                $(this).css({
                    "background-color": bg,
                    "-webkit-transition": "all .3s ease-in-out 0s",
                    "-moz-transition": "all .3s ease-in-out 0s",
                    "-ms-transition": "all .3s ease-in-out 0s",
                    "-o-transition": "all .3s ease-in-out 0s",
                    "transition": "all .3s ease-in-out 0s"
                });
                $(this).css({
                    'border-color': border_color,
                    "-webkit-transition": "all .3s ease-in-out 0s",
                    "-moz-transition": "all .3s ease-in-out 0s",
                    "-ms-transition": "all .3s ease-in-out 0s",
                    "-o-transition": "all .3s ease-in-out 0s",
                    "transition": "all .3s ease-in-out 0s"
                });
                $(this).css({
                    'color': text_color,
                    "-webkit-transition": "all .3s ease-in-out 0s",
                    "-moz-transition": "all .3s ease-in-out 0s",
                    "-ms-transition": "all .3s ease-in-out 0s",
                    "-o-transition": "all .3s ease-in-out 0s",
                    "transition": "all .3s ease-in-out 0s"
                });
            });
        });
    }
    helix.fixGridShop = function() {
        if ($('.grid-item').length > 0) {
            var temp = 0;
            setTimeout(function() {
                $.each($('.woocommerce .helix-content-product-grid'), function(i, item) {
                    var hg = $(item).height();
                    console.log(hg);
                    if (hg > temp) {
                        temp = hg
                    };
                });
                $('.grid-item').css({
                    "min-height": temp + 'px'
                });
            }, 300);
        }
    };
    helix.mapContact = function() {
        if ($('.google-map').length > 0 && typeof(google) != "undefined") {
            var long = $('.google-map >div').attr('data-lon');
            var lat = $('.google-map >div').attr('data-lat');
            var Id = $('.google-map >div').attr('id');
            var zoom = $('.google-map >div').attr('data-zoom');
            var city = $('.google-map >div').attr('data-city');
            var address = $('.google-map >div').attr('data-address');
            var title = $('.google-map >div').attr('data-title');
            var iconMarker = $('.google-map >div').attr('data-icon')
            if (typeof(long) == "undefined") long = '40.9807648';
            if (typeof(lat) == "undefined") lat = '28.9866516';
            if (typeof(zoom) == "undefined") zoom = '12';
            if (typeof(city) == "undefined") city = 'Hello';
            if (typeof(address) == "undefined") address = 'ovatheme.com';
            var map;
            var stylez = [{
                featureType: "all",
                elementType: "all",
                stylers: [{
                    saturation: -100
                }]
            }];
            var mapOptions = {
                zoom: parseInt(zoom),
                center: new google.maps.LatLng(lat, long),
                streetViewControl: true,
                scrollwheel: true,
                panControl: true,
                zoomControl: true,
                mapTypeControl: false,
                overviewMapControl: true,
                scrollwheel: false,
                mapTypeControlOptions: {
                    mapTypeIds: [google.maps.MapTypeId.ROADMAP, 'helixMapStyle']
                }
            };
            map = new google.maps.Map(document.getElementById(Id), mapOptions);
            // var mapType = new google.maps.StyledMapType(stylez, {
            //     name: "Grayscale"
            // });
            // map.mapTypes.set('helixMapStyle', mapType);
            // map.setMapTypeId('helixMapStyle');
            var myLatLng = new google.maps.LatLng(lat, long);
            if (iconMarker == '') {
                var beachMarker = new google.maps.Marker({
                    position: myLatLng,
                    map: map,
                    title: title
                });
            } else {
                var beachMarker = new google.maps.Marker({
                    position: myLatLng,
                    map: map,
                    icon: iconMarker
                });
            }
            var infowindow = new google.maps.InfoWindow({
                content: "<div class='noScroll'><b>" + city + "</b><br/>" + address + "</div>"
            });
            google.maps.event.addListener(beachMarker, "click", function() {
                infowindow.open(map, beachMarker);
            });
            infowindow.open(map, beachMarker);
        }
    };
    helix.eventMapContent = function() {
        $.each($('.helix_event_location_map'), function(i, item) {
            if (typeof(google) != "undefined") {
                var long = $(item).attr('data-longitude');
                var lat = $(item).attr('data-latitude');
                var Id = $(item).find('.event_map').attr('id');
                var zoom = $(item).attr('data-zoom');
                var city = $(item).attr('data-phone');
                var address = $(item).attr('data-address');
                var title = $(item).attr('data-title');
                var iconMarker = $(item).attr('data-icon')
                if (typeof(long) == "undefined") long = '40.9807648';
                if (typeof(lat) == "undefined") lat = '28.9866516';
                if (typeof(zoom) == "undefined") zoom = '12';
                if (typeof(city) == "undefined") city = 'Hello';
                if (typeof(address) == "undefined") address = 'ovatheme.com';
                var map;
                var stylez = [{
                    featureType: "all",
                    elementType: "all",
                    stylers: [{
                        saturation: -100
                    }]
                }];
                var mapOptions = {
                    zoom: parseInt(zoom),
                    center: new google.maps.LatLng(lat, long),
                    streetViewControl: true,
                    scrollwheel: true,
                    panControl: true,
                    zoomControl: true,
                    mapTypeControl: false,
                    overviewMapControl: true,
                    scrollwheel: false,
                    mapTypeControlOptions: {
                        mapTypeIds: [google.maps.MapTypeId.ROADMAP, 'helixMapStyle']
                    }
                };
                map = new google.maps.Map(document.getElementById(Id), mapOptions);
                // var mapType = new google.maps.StyledMapType(stylez, {
                //     name: "Grayscale"
                // });
                // map.mapTypes.set('helixMapStyle', mapType);
                // map.setMapTypeId('helixMapStyle');
                var myLatLng = new google.maps.LatLng(lat, long);
                if (iconMarker == '') {
                    var beachMarker = new google.maps.Marker({
                        position: myLatLng,
                        map: map,
                        title: title
                    });
                } else {
                    var beachMarker = new google.maps.Marker({
                        position: myLatLng,
                        map: map,
                        icon: iconMarker
                    });
                }
                var infowindow = new google.maps.InfoWindow({
                    content: "<div class='noScroll' style='text-align: center;'><b>" + address + "</b><br/><b>" + city + "</b></div>"
                });
                google.maps.event.addListener(beachMarker, "click", function() {
                    infowindow.open(map, beachMarker);
                });
                infowindow.open(map, beachMarker);
            }
        });
    };
    helix.filterCalendar = function() {
        var self = this;
        if ($('.helix_section_calendar').length > 0) {
            $.each($('.helix_section_calendar'), function(i, item) {
                var slug_item = $(item).find('.helix_calendar_filter ul.helix_filter li.active').attr('data-slug');
                var obj = {
                    slug: slug_item,
                    taxonomy: $(this).attr('data-taxonomy'),
                    from_date: $(item).find('.helix_calendar_responsive .res-cal-navigation h3').attr('data-start'),
                    to_date: $(item).find('.helix_calendar_responsive .res-cal-navigation h3').attr('data-end')
                };
                self.fullCalendar(obj, item);
                // self.responsiveCalendar(item, obj);
            });
        }
    };
    
    helix.fullCalendar = function(obj, item) {
        if (typeof(obj) == 'undefined') {
            obj = {};
        }
        var timeFormat = $(item).find('.section-calendar').attr('data-time');
        if (timeFormat == '') timeFormat = 'HH:mm';
        //data-viewtype
        var defaultView = $(item).find('.section-calendar').attr('data-viewtype');
        if (defaultView == '') defaultView = 'dayGridMonth';
        var language = $(item).find('.section-calendar').attr('data-language');
        if (language == '') language = 'en';

        $.post(ajax_object.ajaxurl, {
            action: 'helix_calendar_class',
            data: obj,
            beforeSend: function() {
                startLoading();
            }
        }, function(reponse) {

            if (!reponse.error) {
                var event = $.parseJSON(reponse)
                var d = new Date();
                var month = d.getMonth() + 1;
                var day = d.getDate();
                var output = d.getFullYear() + '-' + (('' + month).length < 2 ? '0' : '') + month + '-' + (('' + day).length < 2 ? '0' : '') + day;

                var default_view = 'dayGridMonth';

                switch ( defaultView ) {
                  case 'agendaWeek':
                    default_view = "dayGridWeek";
                    break;
                  case 'month':
                    default_view = "dayGridMonth";
                    break;
                  case 'basicWeek':
                     default_view = "dayGridWeek";
                    break;
                  case 'basicDay':
                    default_view = "dayGridDay";
                    break;
                  case 'agendaDay':
                    default_view = "dayGridDay";
                    break;
                }

                if( typeof event != 'undefined' ){

                    $(item).find('.helix_calendar').each(function(){

                        var that = $(this)[0];

                         var srcCalendar = new FullCalendar.Calendar( that, {
                            headerToolbar: {
                                left: 'prev',
                                center: 'title',
                                right: 'next'
                            },
                            defaultDate: output,
                            handleWindowResize:true,
                            locale: language,
                          
                            events: event,
                            timeFormat: timeFormat,
                            firstDay: 1,
                          
                            initialView: default_view
                           
                          
                        });

                        srcCalendar.render();

                        

                    });
                }
               



            }
            stopLoading();
        });
    };
    // helix.filterEvent = function(element, item) {
        $('.helix_calendar_filter ul.helix_filter li').off('click').on('click', function() {
            $(this).closest('ul.helix_filter').find('li').removeClass('active');
            $(this).addClass('active');
            var language = $(this).data('language');
            
            var defaultView = $(this).attr('data-viewtype');
            if (defaultView == '') defaultView = 'dayGridMonth';
            var default_view = 'dayGridMonth';

            switch ( defaultView ) {
              case 'agendaWeek':
                default_view = "dayGridWeek";
                break;
              case 'month':
                default_view = "dayGridMonth";
                break;
              case 'basicWeek':
                 default_view = "dayGridWeek";
                break;
              case 'basicDay':
                default_view = "dayGridDay";
                break;
              case 'agendaDay':
                default_view = "dayGridDay";
                break;
            }


            var org = $(this);
            var obj = {
                slug: $(this).attr('data-slug'),
                taxonomy: $(this).attr('data-taxonomy')
            };
            $.post(ajax_object.ajaxurl, {
                action: 'helix_calendar_class',
                data: obj,
                beforeSend: function() {
                    startLoading();
                }
            }, function(reponse) {
                if (!reponse.error) {
                    var event = $.parseJSON(reponse);
                
                    var that = org.closest('.helix_section_calendar').find('.helix_calendar')[0];

                    var srcCalendar = new FullCalendar.Calendar( that, {
                        headerToolbar: {
                            left: 'prev',
                            center: 'title',
                            right: 'next'
                        },
                        handleWindowResize:true,
                        events: event,
                        locale: language,
                        initialView: default_view
                       
                    });

                    srcCalendar.render();

                }
                stopLoading();
            });
            
        });

        
        // common loading-full
    helix.StartLoadingTimeout = '';
    var startLoading = function() {
        function ResizeLoading() {
            $('.helixLoadingWrapper').css({
                width: $(window).width(),
                height: $(window).height()
            });
            $('.helixLoadingContent').css({
                'margin': ($(window).height() / 2 - 30) + 'px auto'
            });
        }
        ResizeLoading();
        if ($('.helixLoadingWrapper').length == 0) {
            var htmlCode = '<div class="helixLoadingWrapper">\
                                <div class="helixLoadingContent">\
                                    <div class="loading-full">\
                                      <div class="sk-circle1 sk-child"></div>\
                                      <div class="sk-circle2 sk-child"></div>\
                                      <div class="sk-circle3 sk-child"></div>\
                                      <div class="sk-circle4 sk-child"></div>\
                                      <div class="sk-circle5 sk-child"></div>\
                                      <div class="sk-circle6 sk-child"></div>\
                                      <div class="sk-circle7 sk-child"></div>\
                                      <div class="sk-circle8 sk-child"></div>\
                                      <div class="sk-circle9 sk-child"></div>\
                                      <div class="sk-circle10 sk-child"></div>\
                                      <div class="sk-circle11 sk-child"></div>\
                                      <div class="sk-circle12 sk-child"></div>\
                                    </div>\
                                </div>\
                            </div>';
            helix.StartLoadingTimeout = setTimeout(function() {
                $('body').append(htmlCode);
                ResizeLoading();
            }, 0);
        }
        $(window).resize(function() {
            ResizeLoading();
        });
    };
    var stopLoading = function() {
        clearTimeout(helix.StartLoadingTimeout);
        $('.helixLoadingWrapper').fadeOut(function() {
            $(this).remove();
        });
    };
    var dateFormat = function() {
        var token = /d{1,4}|m{1,4}|yy(?:yy)?|([HhMsTt])\1?|[LloSZ]|"[^"]*"|'[^']*'/g,
            timezone = /\b(?:[PMCEA][SDP]T|(?:Pacific|Mountain|Central|Eastern|Atlantic) (?:Standard|Daylight|Prevailing) Time|(?:GMT|UTC)(?:[-+]\d{4})?)\b/g,
            timezoneClip = /[^-+\dA-Z]/g,
            pad = function(val, len) {
                val = String(val);
                len = len || 2;
                while (val.length < len) val = "0" + val;
                return val;
            };
        // Regexes and supporting functions are cached through closure
        return function(date, mask, utc) {
            var dF = dateFormat;
            // You can't provide utc if you skip other args (use the "UTC:" mask prefix)
            if (arguments.length == 1 && Object.prototype.toString.call(date) == "[object String]" && !/\d/.test(date)) {
                mask = date;
                date = undefined;
            }
            // Passing date through Date applies Date.parse, if necessary
            date = date ? new Date(date) : new Date;
            if (isNaN(date)) throw SyntaxError("invalid date");
            mask = String(dF.masks[mask] || mask || dF.masks["default"]);
            // Allow setting the utc argument via the mask
            if (mask.slice(0, 4) == "UTC:") {
                mask = mask.slice(4);
                utc = true;
            }
            var _ = utc ? "getUTC" : "get",
                d = date[_ + "Date"](),
                D = date[_ + "Day"](),
                m = date[_ + "Month"](),
                y = date[_ + "FullYear"](),
                H = date[_ + "Hours"](),
                M = date[_ + "Minutes"](),
                s = date[_ + "Seconds"](),
                L = date[_ + "Milliseconds"](),
                o = utc ? 0 : date.getTimezoneOffset(),
                flags = {
                    d: d,
                    dd: pad(d),
                    ddd: dF.i18n.dayNames[D],
                    dddd: dF.i18n.dayNames[D + 7],
                    m: m + 1,
                    mm: pad(m + 1),
                    mmm: dF.i18n.monthNames[m],
                    mmmm: dF.i18n.monthNames[m + 12],
                    yy: String(y).slice(2),
                    yyyy: y,
                    h: H % 12 || 12,
                    hh: pad(H % 12 || 12),
                    H: H,
                    HH: pad(H),
                    M: M,
                    MM: pad(M),
                    s: s,
                    ss: pad(s),
                    l: pad(L, 3),
                    L: pad(L > 99 ? Math.round(L / 10) : L),
                    t: H < 12 ? "a" : "p",
                    tt: H < 12 ? "am" : "pm",
                    T: H < 12 ? "A" : "P",
                    TT: H < 12 ? "AM" : "PM",
                    Z: utc ? "UTC" : (String(date).match(timezone) || [""]).pop().replace(timezoneClip, ""),
                    o: (o > 0 ? "-" : "+") + pad(Math.floor(Math.abs(o) / 60) * 100 + Math.abs(o) % 60, 4),
                    S: ["th", "st", "nd", "rd"][d % 10 > 3 ? 0 : (d % 100 - d % 10 != 10) * d % 10]
                };
            return mask.replace(token, function($0) {
                return $0 in flags ? flags[$0] : $0.slice(1, $0.length - 1);
            });
        };
    }();
    // Some common format strings
    dateFormat.masks = {
        "default": "ddd mmm dd yyyy HH:MM:ss",
        shortDate: "m/d/yy",
        mediumDate: "mmm d, yyyy",
        longDate: "mmmm d, yyyy",
        fullDate: "dddd, mmmm d, yyyy",
        shortTime: "h:MM TT",
        mediumTime: "h:MM:ss TT",
        longTime: "h:MM:ss TT Z",
        isoDate: "yyyy-mm-dd",
        isoTime: "HH:MM:ss",
        isoDateTime: "yyyy-mm-dd'T'HH:MM:ss",
        isoUtcDateTime: "UTC:yyyy-mm-dd'T'HH:MM:ss'Z'"
    };
    // Internationalization strings
    dateFormat.i18n = {
        dayNames: ["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat", "Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"],
        monthNames: ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec", "January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"]
    };
    // For convenience...
    Date.prototype.format = function(mask, utc) {
        return dateFormat(this, mask, utc);
    };

    function qs(key) {
        key = key.replace(/[*+?^$.\[\]{}()|\\\/]/g, "\\$&"); // escape RegEx control chars
        var match = location.search.match(new RegExp("[?&]" + key + "=([^&]+)(&|$)"));
        return match && decodeURIComponent(match[1].replace(/\+/g, " "));
    }
    // init
    $(function() {
        helix.init();
    });
})(jQuery);