<?php get_header();
// Open layout
require( OVA_THEME_URL.'/templates/ova_open_layout.php' );

?>

<!-- Get content -->
<header class="page-header">
	<h2 class="page-title">
		<?php printf( __( 'Search Results for: <span>%s</span>', 'helix' ), get_search_query() ); ?>
	</h2>
</header>

<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
        <?php get_template_part( 'content/content', 'search' ); ?>
<?php endwhile; ?>
    <div class="pagination-wrapper">
        <?php helix_pagination_theme(); ?>
	</div>
<?php else : ?>
        <?php get_template_part( 'content/content', 'none' ); ?>
<?php endif; ?>


<?php 

// Close layout
require( OVA_THEME_URL.'/templates/ova_close_layout.php' );
get_footer(); ?>